/**
 * @file
 * Custom CSS for LibrarySite DXPR Theme.
 */

/* HTags */
h1, .h1 {
  font-size: var(--dxt-setting-h1-font-size) !important;
}

h2, .h2 {
  font-size: var(--dxt-setting-h2-font-size) !important;
}

h3, .h3, .block-title {
  font-size: var(--dxt-setting-h3-font-size) !important;
}

h4, .h4 {
  font-size: var(--dxt-setting-h4-font-size) !important;
}

h2, .h2, .block-title {
  font-size: var(--dxt-setting-h2-font-size) !important;
}

/* Menu Spacing */
.dxpr-theme-header .nav > li > a,
.dxpr-theme-header .nav > li > span {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  @media (min-width: 992px) {
    padding-left: calc(var(--dxt-menu-spacing, 30) * 1px) !important;
    padding-right: calc(var(--dxt-menu-spacing, 30) * 1px) !important;
  }
}

.dxpr-theme-header {
  .nav-item.dropdown:hover .bs-dropdown-wrapper,
  .bs-dropdown-submenu:hover .bs-dropdown-item-wrapper,
  .nav-item.dropdown.show .bs-dropdown-wrapper,
  .bs-dropdown-submenu.show .bs-dropdown-item-wrapper {
    background-color: var(--dxt-setting-menu-hover-background) !important;

    .nav-link,
    .dropdown-item,
    .bs-dropdown-caret {
      color: var(--dxt-setting-menu-hover-text-color) !important;
      background-color: transparent !important;
    }
  }

  .bs-dropdown-wrapper {
    border-radius: 0 !important;

    &:hover,
    &:active {
      border-radius: 0 !important;
      cursor: pointer;
    }
  }

  .bs-dropdown-caret {
    color: var(--dxt-setting-navbar-text-color) !important;
    border: unset !important;
    display: inline-block;
    padding: 0;
    width: auto;

    &:after {
      content: unset;
    }

    &:hover,
    &:active {
      width: auto;
      cursor: pointer;
      padding: 0;
      display: inline-block;
      color: var(--dxt-setting-menu-hover-text-color) !important;
      background-color: var(--dxt-setting-menu-hover-background) !important;
    }
  }

  /* Dropdown icons */

  .dropdown-icon {
    display: inline-block;
    margin-left: 0.5rem;
    vertical-align: middle;
    width: 0.8em;
    height: 0.8em;
    position: relative;
    transition: none !important; /* No animation */

    &::before {
      content: "";
      position: absolute;
      top: 25%;
      left: 0;
      width: 0;
      height: 0;
      border-left: 0.4em solid transparent;
      border-right: 0.4em solid transparent;
      border-top: 0.4em solid currentColor;
      transition: none !important;
    }
  }

  /* Always point downside - prevent rotation if any */

  .show > .dropdown-icon,
  .show > * > .dropdown-icon,
  .dropdown-icon {
    transform: none !important;
  }

  /* Hide default Bootstrap caret */

  .nav-link::after,
  .dropdown-item::after,
  .dropdown-toggle::after {
    display: none !important;
  }

  .dropdown-menu {
    min-width: 100%;
    width: auto;
    padding: 0 !important;

    li {
      width: 100% !important;
    }

    a {
      width: 100%;
      white-space: nowrap !important;

      &:hover {
        background-color: var(--dxt-setting-dropdown-hover-background) !important;
        color: var(--dxt-setting-dropdown-hover-text-color) !important;
      }
    }
  }

  .bs-dropdown-wrapper,
  .bs-dropdown-item-wrapper {
    display: flex;
    align-items: center;
  }

  .navbar-header-wrapper {
    @media (max-width: 992px) {
      padding-top: 0 !important;
      padding-bottom: 0 !important;
    }
  }
}

#secondary-header .block {
  @media (max-width: 992px) {
    margin-bottom: 2rem;
  }
}

.body--dxpr-theme-nav-mobile {
  .dxpr-theme-header {
    padding: 0.5rem 0;

    button {
      &:hover {
        background-color: transparent !important;
      }
    }
  }
}

/* Site Branding */
.wrap-branding {
  .name {
    font-size: var(--dxt-setting-h1-mobile-font-size);
    @media (min-width: 992px) {
      font-size: 3.33rem;
    }
  }

  .slogan {
    font-family: var(--dxt-setting-headings-font-face);
    @media (min-width: 992px) {
      text-align: end;
    }
  }
}

.page-title {
  font-weight: 700 !important;
}

#block-librarysite-dxpr-theme-account-menu {
  ul {
    flex-direction: row;
    margin-bottom: 1rem !important;
  }

  .nav-link {
    @media (max-width: 992px) {
      padding: 0 5px !important;
    }
    @media (min-width: 992px) {
      font-size: 1rem;
    }
  }
}

/* Status Messages */
.wrap-messages {
  .alert {
    margin-bottom: 0;
  }
}

/* Search */
#site-catalog-search-form {
  font-family: var(--dxt-setting-body-font-face);

  legend {
    color: var(--dxt-color-text);
    font-weight: 400;
    @media (min-width: 992px) {
      font-size: var(--dxt-setting-body-font-size);
    }
  }

  label {
    font-family: var(--dxt-setting-body-font-face);
  }

  &.display-search-form-inline {
    padding-top: 1rem;
    padding-bottom: 1rem;
    @media (min-width: 992px) {
      display: flex;
      padding: 1rem 0;
      margin: 0 auto;
    }

    .search-top-wrapper {
      flex: 0 1 25%;
      align-items: center;
      margin-bottom: 0.5rem;
      margin-right: 4rem;
      @media (min-width: 992px) {
        justify-content: space-between;
        margin-bottom: inherit;
        gap: 0;
      }

      .form-item-wrapper {
        margin-right: 2rem !important;
      }

      .form-item {
        margin: 0 5px 0 0 !important;
        transform: scale(1.4);
        outline: none;

        &:hover {
          cursor: pointer;
          accent-color: var(--dxt-color-base);
        }
      }
    }

    .search-bottom-wrapper {
      flex: 0 1 75%;

      #search-request {
        width: 100%;
        background-color: white;
        border-radius: 20px;
        border: unset;
        padding: 5px 12px;
      }
    }
  }
}

/* Buttons */
.button {
  width: auto;
  border-radius: 2px;
}

a.button {
  margin: 0;
  border: unset;
  padding: 0.5rem 2rem;
  border-radius: 0;
  text-decoration: none;
}

/* Links */
.content-top-container,
.footer-bottom-container {
  div:not(.contextual-region) {
    ul:not(.contextual-links),
    .view {
      margin-left: 0 !important;

      a {
        font-weight: bold !important;
        text-decoration: none !important;
        padding: 0 !important;

        &:hover {
          color: var(--dxt-color-link) !important;
          text-decoration: underline !important;
        }
      }
    }
  }

  .navbar-nav {
    .is-active {
      background-color: unset !important;
    }
  }
}

/* Carousel */
.block-views-blockcarousel-slide-carousel-block {
  background: var(--dxt-color-graylighter);
}

.view-carousel-slide {
  .views-field-nothing {
    img {
      width: 100%;
    }
  }

  .relative {
    position: relative;
  }

  .slick-dots {
    position: absolute;
    top: 1%;
    left: 69.2%;
    bottom: unset;
    display: flex;
    padding: 1rem 0;
    @media (max-width: 992px) {
      left: 0;
      justify-content: center;
    }

    button {
      background-color: transparent !important;
    }

    li {
      margin: 0 10px;

      button {
        color: var(--dxt-setting-navbar-text-color);

        &::before {
          font-size: 1.5rem;
          color: var(--dxt-setting-navbar-text-color);
          opacity: 1;
        }

        &:hover::before {
          color: var(--dxt-color-link);
        }
      }

      &.slick-active button::before {
        color: var(--dxt-color-link);
      }
    }
  }
}

.slick-arrow {
  background-color: unset !important;

  &:hover {
    background-color: unset !important;
  }

  &::before {
    font-family: "bootstrap-icons" !important;
    color: var(--dxt-color-link) !important;
  }

  &.slick-prev::before {
    content: "\f12C";
  }

  &.slick-next::before {
    content: "\f135";
  }

  &:hover::before {
    color: var(--dxt-color-link);
  }
}

.slick-slider {
  margin-bottom: 0;
}

.carousel-data {
  padding: 4rem 2rem 2rem 2rem;
  @media (min-width: 992px) {
    padding: 4rem 3rem;
  }
}

/* Main */
body:not(.path-frontpage) {
  .main-container {
    padding-top: 2rem;
    padding-bottom: 3rem;
    @media (min-width: 992px) {
      padding-top: 4rem;
      padding-bottom: 6rem;
    }
  }
}

/* Content Top */
.content-top-container {
  background: var(--dxt-color-graylighter);
}

/* Quick Links */
.quick-links-wrapper {
  .view-quick-links {
    .views-view-responsive-grid__item {
      text-align: center;

      .views-view-responsive-grid__item-inner {
        .views-field-nothing {
          &:hover,
          &:focus {
            outline: solid medium var(--dxt-color-link);
          }
        }
      }

      a {
        text-decoration: none;
      }
    }
  }
}

.content-bottom-container {
  padding-top: 2rem;
  padding-bottom: 0;
  @media (min-width: 992px) {
    padding-bottom: 3rem;
  }

  .region-content-bottom {
    @media (min-width: 992px) {
      display: flex;
      justify-content: space-between;
    }

    .block {
      flex: 0 1 31%;
      margin-bottom: 3rem;
    }
  }
}

/* footer-bottom-container */
.footer-bottom-container {
  background: var(--dxt-color-graylighter);
  padding-top: 3rem;
  padding-bottom: 3rem;

  .region-footer-bottom {
    section {
      @media (max-width: 992px) {
        margin-bottom: 2rem;
      }
    }

    @media (min-width: 992px) {
      display: flex;
      justify-content: space-between;
      align-items: baseline;
    }
  }
}

/* Footer */
.footer-container {
  padding-bottom: 2rem !important;
  padding-top: 2rem !important;
}

.region-footer {
  @media (min-width: 992px) {
    display: flex !important;
    flex-direction: row !important;
    justify-content: space-between;
  }
}

/* Block */
.region-block-design {
  .block-hr {
    margin: 0.5rem !important;
  }

  .block-page-title-block {
    .block-hr {
      margin: 0 !important;
    }
  }
}

.view-frontpage {
  display: none;
}

/* Events */
.view-upcoming-events {
  .views-view-responsive-grid {
    column-gap: 50px;
    row-gap: 30px;

    .views-view-responsive-grid__item-inner {
      .views-field-nothing {
        &:hover,
        &:focus {
          outline: solid medium var(--dxt-color-link);
        }
      }

      .bold-event-title {
        font-weight: 700;
      }
    }

    a {
      text-decoration: none;
    }
  }

  .view-footer {
    padding-top: 1rem;
    float: right;
    font-weight: 600;
    a {
      text-decoration: none;
      &:hover {
        text-decoration: underline;
      }
    }
  }

  .card {
    border: 1px solid;
    border-radius: unset;

    .event-date {
      text-align: center;
      min-width: 110px;
      padding: 0.5rem;
    }

    .event-date .day {
      font-size: 3.75rem;
      font-weight: 700;
      line-height: 1;
    }

    .event-date .month {
      font-size: 2.25rem;
      font-weight: 600;
      letter-spacing: 1px;
      line-height: 1;
    }

    .event-date .weekday {
      font-weight: 500;
    }

    .card-body {
      padding: 0.5rem;
      font-size: 1.33rem;

      p {
        line-height: 1.5;
      }
    }
  }

  .col-auto {
    border-right: 8px solid;
    padding-right: 0;
  }

  @media (max-width: 992px) {
    .views-view-responsive-grid {
      --views-responsive-grid--column-count: 1 !important;
      --views-responsive-grid--layout-gap: 0 !important;
    }

    .col-auto {
      margin-bottom: 0 !important;
    }
  }
}

/* Maps */
.front-location-map,
.front-bottom-content {
  @media (min-width: 992px) {
    width: 30.8%;
  }
  padding: 2rem !important;
  background-color: var(--dxt-color-card);
  color: var(--dxt-color-cardtext);
  border: 1px solid !important;
  border-radius: unset !important;

  .field--name-field-title {
    font-size: var(--dxt-setting-h2-font-size) !important;
    font-family: var(--dxt-setting-headings-font-face);
    font-weight: var(--dxt-setting-headings-bold) !important;
    letter-spacing: var(--dxt-setting-headings-letter-spacing);
    line-height: var(--dxt-setting-headings-line-height);
    margin-bottom: 1.125rem;
    margin-top: 0.625rem;
    text-transform: var(--dxt-setting-headings-uppercase);
  }

  .location-gmap {
    .views-row {
      display: flex;

      iframe {
        border: 1px solid !important;
      }

      .location-addr-hours {
        padding-left: 2rem;

        .views-label-field-hours {
          font-weight: 500;
        }

        .office-hours {
          font-size: 1rem;
        }

        .address {
          margin-bottom: 0.5rem;
        }
      }
    }
  }
}

.field--name-body {
  img {
    margin: 2rem 0;

    &.align-left {
      margin-right: 2rem;
    }

    &.align-right {
      margin-left: 2rem;
    }
  }
}

/* Social Media */
.front-bottom-content {
  .block-hr {
    display: none;
  }
  ul.nav {
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-direction: row;
    flex-direction: row;

    li.social-media {
      display: inline-block;
      margin: 0 .86667rem .73333rem 0;

      &.last-child {
        margin-right: 0;
      }

      a.social-media-icon {
        color: transparent;
        font-size: 0;
        padding: 0;
        display: block;
        height: 2.53333rem;
        width: 2.53333rem;
        background: transparent url("../images/social_media_icons_sprite.png") no-repeat;
      }
    }
  }

  #fb-icon {
    background-position: -10px center;
  }

  #yt-icon {
    background-position: -67px center;
  }

  #twt-icon {
    background-position: -124px center;
  }

  #intsa-icon {
    background-position: -181px center;
  }

  #lnkn-icon {
    background-position: -238px center;
  }

  #snpcht-icon {
    background-position: -294px center;
  }

  #pntrst-icon {
    background-position: -350px center;
  }

  #rddt-icon {
    background-position: -403px center;
  }

  #vm-icon {
    background-position: -456px center;
  }
}

.view-follow-us {
  .view-content {
    display: none;
  }
}

/* Sidebar */
.path-events,
.path-node {
  .main-container {
    padding-top: 2rem;
  }
}

aside {
  .region-sidebar-first {
    padding: 2rem;
    background-color: var(--dxt-color-card) !important;
    color: var(--dxt-color-cardtext) !important;
    border: 1px solid !important;
    border-radius: unset !important;
    height: 100%;

    .block-title {
      margin-bottom: 2rem;
    }

    .location-sidebar-list {
      .views-row {
        display: flex;
        margin-bottom: 2rem;

        img {
          width: 160px;
        }

        .location-addr-hours {
          padding-left: 2rem;

          a {
            color: var(--dxt-color-link);
            text-decoration: none;
          }

          .address {
            margin-bottom: 0.5rem;
            font-size: 16px;
            color: var(--dxt-color-cardtext) !important;
          }
        }
      }
    }

    .view-quick-links {
      a {
        color: var(--dxt-color-link);
        text-decoration: none;

        &:hover {
          color: var(--dxt-color-link) !important;
          text-decoration: underline !important;
        }
      }

      .views-view-responsive-grid__item {
        text-align: center;
        margin-bottom: 1rem;
      }
    }
  }
}

/* Events List Page */
.view-event,
.view-calendar,
.view-article,
.view-resource,
.view-search {
  position: relative;

  .view-filters {
    padding: 1rem 1.5rem;
    margin-top: 2rem;
    margin-bottom: 4rem;
    background-color: color-mix(in srgb, var(--dxt-color-accent2) 40%, transparent);
  }

  fieldset {
    margin: 0;
  }

  legend {
    font-size: var(--dxt-setting-h2-font-size) !important;
    font-weight: 500 !important;
  }

  @media (max-width: 992px) {
    .form-item {
      float: none !important;
    }
  }

  #edit-field-audience-target-id--wrapper {
    @media (min-width: 992px) {
      float: left;
    }

    .form-checkboxes {
      @media (min-width: 992px) {
        display: flex;
      }

      label {
        font-family: var(--dxt-setting-body-font-face);
        font-size: var(--dxt-setting-h3-font-size) !important;
      }

      .form-item {
        margin-right: 1.5em;
        padding-left: 1.5em;
      }

      .form-check-input {
        width: 1.5rem;
        height: 1.5rem;
      }

      .form-check-label {
        padding-left: 0.5rem;
      }
    }
  }

  .js-form-submit {
    @media (min-width: 992px) {
      width: 12%;
    }
    margin-top: 1rem;
  }

  .js-form-type-select {
    label {
      display: block;
      font-family: var(--dxt-setting-body-font-face);
      font-size: var(--dxt-setting-h2-font-size) !important;
      font-weight: 500 !important;
    }

    .form-select {
      @media (min-width: 992px) {
        min-width: 25rem;
        max-width: 25rem;
        padding: 0;
      }
      border: 1px solid #aaa;
      background-color: white;
    }
  }

  .chosen-container-single {
    .chosen-single {
      padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    }
  }

  .chosen-container-multi {
    padding: 0.375rem 2.25rem 0.375rem 0.75rem !important;
    .chosen-choices {
      border: none;
      cursor: pointer;
      li {
        float: none !important;
        font-size: 16px;
        span {
          font-size: 16px;
        }
        input {
          cursor: pointer;
        }
        .search-choice-close {
          background-color: unset !important;
        }
      }
      .search-choice {
        padding: 8px 20px 8px 8px !important;
        margin-bottom: 0.5rem;
      }
    }
    .chosen-drop {
      .result-selected {
        color: var(--dxt-color-base);
      }
    }
  }

  @media (min-width: 992px) {
    .form-item-field-location-target-id,
    .form-item-field-resource-topic-target-id {
      float: right !important;
      margin: 0;
    }
  }

  .view-content,
  .view-header {
    .events-quick-links {
      position: absolute;
      top: -55px;
      right: 0;

      .events-calendar-view {
        margin-right: 2rem;
      }

      a {
        text-decoration: none;
        font-weight: 500;
        display: inline-flex;
        align-items: center;

        &::before {
          content: "";
          display: inline-block;
          width: 20px;
          height: 20px;
          margin-right: 5px;
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }

        &.events-calendar-view::before {
          background-image: url('../images/calendar-month.svg');
        }

        &.events-past-events::before {
          background-image: url('../images/calendar-check.svg');
        }

        &.events-list-view::before {
          background-image: url('../images/calendar-list.svg');
        }
      }
    }

    .calendar-pager__items,
    h3 {
      padding: 1rem 1.5rem;
      background-color: color-mix(in srgb, var(--dxt-color-accent2) 40%, transparent);
      font-size: var(--dxt-setting-h2-font-size) !important;
      font-family: var(--dxt-setting-body-font-face);
      font-weight: 500 !important;
    }

    .calendar-pager__item {
      font-size: var(--dxt-setting-h2-font-size) !important;
    }

    h3 {
      margin-top: 2rem;
    }

    .views-row {
      justify-content: space-between;

      .views-field-title {
        flex: 0 1 50%;

        a {
          text-decoration: none;
          font-weight: 500;
        }
      }

      .views-field-field-location {
        flex: 0 1 25%;
      }

      .views-field-field-datetime-1 {
        flex: 0 1 25%;
      }
    }
  }

  a:hover, a:focus, .btn-link:hover, .btn-link:focus {
    text-decoration: underline !important;
  }
}

/* Calendar */
.calendar.monthview {
  background: color-mix(in srgb, var(--dxt-color-accent2) 40%, transparent) !important;
  font-size: 12px !important;
}

.view-event,
.view-calendar {
  .views-row {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
}

.view-calendar {
  .calendar-pager {
    display: block;
    margin-bottom: 0.6875rem;
  }

  .calendar-pager__items {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
    justify-content: center;
  }

  .pager__item--current {
    align-self: center;
    color: var(--dxt-color-link);
    font-size: 1.25rem;
  }

  footer {
    margin-block-start: 1rem;
  }

  footer a::before {
    content: "\f03a";
    padding-inline-end: 0.5rem;
  }

  thead {
    background: rgb(248.625, 248.625, 248.625);
    color: #000000;
  }

  tfoot {
    background: rgb(242.25, 242.25, 242.25);
    color: #000000;
  }

  thead tr, tfoot tr {
    background: transparent;
  }

  thead th, thead td, tfoot th, tfoot td {
    padding: 0.5rem 0.625rem 0.625rem;
    font-weight: bold;
    text-align: left;
  }

  tbody th, tbody td {
    padding: 0.5rem 0.625rem 0.625rem;
  }

  tbody tr:nth-child(even) {
    border-bottom: 0;
    background-color: rgb(242.25, 242.25, 242.25);
  }

  table.unstriped tbody {
    background-color: #ffffff;
  }

  table.unstriped tbody tr {
    border-bottom: 1px solid rgb(242.25, 242.25, 242.25);
    background-color: #ffffff;
  }

  a {
    color: var(--dxt-color-link);
  }
}

.view-article,
.view-resource {
  .views-field-title {
    font-size: var(--dxt-setting-h2-font-size) !important;
  }
}

/* Article */
.page-node-type-article,
.page-node-type-resource {
  .page-title {
    margin-bottom: 2rem;
  }

  .field--name-field-audience {
    .field__items {
      display: flex;
    }
  }

  .field--name-field-image {
    margin-bottom: 2rem;
  }

  .field--name-body {
    margin-bottom: 4rem;
  }

  a {
    text-decoration: none;
    font-weight: 500 !important;
  }

  .submitted {
    padding: 0;
  }

  .field__items {
    .field__item {
      margin-right: 0.4rem;

      &:not(:last-child)::after {
        content: ", ";
        color: var(--dxt-color-link);
        font-weight: 500;
      }
    }
  }
}

/* Location */
.page-node-type-location,
.page-node-type-page {
  .wrap-containers {
    .block-hr {
      display: none;
    }

    .page-title,
    .field--name-field-image,
    .field--name-image-primary {
      margin-bottom: 2rem;
    }

    .field--name-field-text-intro {
      margin-top: 1rem;
      margin-bottom: 3rem;
    }

    .field__label {
      font-size: 22px;
      padding-bottom: 1rem;
    }

    .field--name-body {
      margin-top: 3rem;
    }

    .field--name-field-address {
      margin-bottom: 1rem;
    }

    .field--name-field-phone,
    .field--name-field-email,
    .field--name-field-contact {
      .field__label {
        font-size: 20px;
        padding-bottom: 0;
      }

      .field__item {
        font-size: 20px;
      }
    }

    .field--name-field-address {
      font-size: 26px;

      p {
        font-size: 26px;
      }

      br {
        display: none;
      }

      a {
        color: black;
        text-decoration: none;

        &:hover {
          text-decoration: underline;
        }
      }
    }

    .field--name-field-hours {
      .office-hours__item {
        font-weight: normal;
        display: flex;
        justify-content: space-between;
        margin-bottom: 0.5rem;

        .office-hours__item-label,
        .office-hours__item-slots {
          font-weight: normal;
          width: 100%;
        }
      }
    }

    .field--name-field-description {
      margin-top: 2rem;
      font-size: 18px;
    }
  }
}

/* Event */
.page-node-type-event {
  .page-title {
    margin-bottom: 2rem;
  }

  .field--name-field-image {
    margin-bottom: 3rem;
  }

  .field--name-field-datetime,
  .field--name-body,
  .field--name-field-location,
  .field--name-field-audience,
  .field--name-field-address {
    margin-top: 1rem;
  }
}

.path-locations {
  .view-display-id-location_page {
    .row {
      margin-top: 0 !important;
    }
  }
}

.view-display-id-location_page {
  @media (max-width: 992px) {
    .views-view-responsive-grid {
      --views-responsive-grid--column-count: 1 !important;
      --views-responsive-grid--layout-gap: 0 !important;
    }
  }

  .row {
    background-color: var(--dxt-color-card) !important;
    color: var(--dxt-color-cardtext) !important;
    border: 1px solid !important;
    border-radius: unset !important;
    margin: 2rem 0;

    .views-view-responsive-grid__item-inner {
      padding: 0;
    }
  }
}

.path-locations {
  .page-title {
    margin-bottom: 2rem;
  }
}

.breadcrumb {
  margin-top: 1rem !important;
}

/* Tabs */
.block-local-tasks-block {
  position: unset !important;
  transform: none !important;
}

.dxpr-theme-mini-tabs-wrapper {
  .tabs {
    .active {
      color: var(--dxt-color-headertext) !important;
    }
  }
}

/* Form */
.form-check-input {
  border: 0.0625rem solid currentcolor;
}

.form-required::after {
  color: red;
}

/* Search */
.search-form {
  margin-bottom: 2rem;

  .search-advanced {
    display: none;
  }
}

.node_search-results {
  padding-left: 0 !important;

  li {
    &::marker {
      content: unset !important;
    }
  }
}

/* Alerts */
.alert-banner {
  padding: 1rem;
  border-left: 0.375rem solid transparent;
}

.alert-banner--success {
  border-left-color: #198754;
  background-color: rgba(25, 135, 84, 0.2);
  color: #0f5132;
}

.alert-banner--info {
  border-left-color: #0dcaf0;
  background-color: rgba(13, 202, 240, 0.2);
  color: #055160;
}

.alert-banner--warning {
  border-left-color: #ffc107;
  background-color: rgba(255, 193, 7, 0.2);
  color: #664d03;
}

.alert-banner--danger {
  border-left-color: #dc3545;
  background-color: rgba(220, 53, 69, 0.2);
  color: #842029;
}
